@import '@site/src/css/search.scss';
@import '@site/src/css/menu.scss';

.button.button--secondary {
    // Needed... don't know why by default it's a fixed `var(--ifm-color-gray-900);`
  color: var(--ifm-color-content) !important;
}

// To distinguish links from text for accessibility
// TODO: to implement into dsfr-connect
main a:not(.pagination-nav__link):not(.theme-edit-this-page) {
    text-decoration: var(--ifm-link-hover-decoration);
    text-decoration-thickness: 1px;
    text-underline-offset: 3px;

    &:hover {
        text-decoration-thickness: 2px !important;
    }
}

// For the home page main button at first since cut on mobile, but could help for others too
a.button {
    white-space: normal;
}

.navbar__items > div[class^='searchBox_'] {
    // Prevent it to be absolute since overlaying other menu buttons
  position: relative;
  right: 0;

  .navbar__search {
      margin-left: 0;
  }
}

@media (max-width: 996px) {
    .navbar__search-input {
        width: 12rem; // Override the default 9rem not large enough for french placeholder
    }

  .navbar__items .hide-on-small {
        display: none;
    }
}